## org.eclipse.datatools.modelbase.sql.schema.impl
Class SQLSchemaPackageImpl

    java.lang.Object
      EPackageImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLSchemaPackageImpl

All Implemented Interfaces:
  SQLSchemaPackage

public class SQLSchemaPackageImpl
extends EPackageImpl
implements SQLSchemaPackage

An implementation of the model Package.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.eclipse.datatools.modelbase.sql.schema.SQLSchemaPackage
`SQLSchemaPackage.Literals`

Field Summary

Fields inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLSchemaPackage

`CATALOG, CATALOG__COMMENTS, CATALOG__DATABASE, CATALOG__DEPENDENCIES, CATALOG__DESCRIPTION, CATALOG__EANNOTATIONS, CATALOG__LABEL, CATALOG__NAME, CATALOG__PRIVILEGES, CATALOG__SCHEMAS, CATALOG_FEATURE_COUNT, COMMENT, COMMENT__DESCRIPTION, COMMENT__SQL_OBJECT, COMMENT_FEATURE_COUNT, DATABASE, DATABASE__AUTHORIZATION_IDS, DATABASE__CATALOGS, DATABASE__COMMENTS, DATABASE__DEPENDENCIES, DATABASE__DESCRIPTION, DATABASE__EANNOTATIONS, DATABASE__EVENTS, DATABASE__LABEL, DATABASE__NAME, DATABASE__PRIVILEGES, DATABASE__SCHEMAS, DATABASE__VENDOR, DATABASE__VERSION, DATABASE_FEATURE_COUNT, DATE, DEPENDENCY, DEPENDENCY__COMMENTS, DEPENDENCY__DEPENDENCIES, DEPENDENCY__DEPENDENCY_TYPE, DEPENDENCY__DESCRIPTION, DEPENDENCY__EANNOTATIONS, DEPENDENCY__LABEL, DEPENDENCY__NAME, DEPENDENCY__PRIVILEGES, DEPENDENCY__TARGET_END, DEPENDENCY_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, EVENT, EVENT__ACTION, EVENT__COMMENTS, EVENT__CONDITION, EVENT__DATABASE, EVENT__DEPENDENCIES, EVENT__DESCRIPTION, EVENT__EANNOTATIONS, EVENT__ENABLED, EVENT__FOR, EVENT__LABEL, EVENT__NAME, EVENT__PRIVILEGES, EVENT_FEATURE_COUNT, GENERATE_TYPE, IDENTITY_SPECIFIER, IDENTITY_SPECIFIER__COMMENTS, IDENTITY_SPECIFIER__CYCLE_OPTION, IDENTITY_SPECIFIER__DEPENDENCIES, IDENTITY_SPECIFIER__DESCRIPTION, IDENTITY_SPECIFIER__EANNOTATIONS, IDENTITY_SPECIFIER__GENERATION_TYPE, IDENTITY_SPECIFIER__INCREMENT, IDENTITY_SPECIFIER__LABEL, IDENTITY_SPECIFIER__MAXIMUM, IDENTITY_SPECIFIER__MINIMUM, IDENTITY_SPECIFIER__NAME, IDENTITY_SPECIFIER__PRIVILEGES, IDENTITY_SPECIFIER__START_VALUE, IDENTITY_SPECIFIER_FEATURE_COUNT, LIST, REFERENTIAL_ACTION_TYPE, SCHEMA, SCHEMA__ASSERTIONS, SCHEMA__CATALOG, SCHEMA__CHAR_SETS, SCHEMA__COMMENTS, SCHEMA__DATABASE, SCHEMA__DEPENDENCIES, SCHEMA__DESCRIPTION, SCHEMA__EANNOTATIONS, SCHEMA__INDICES, SCHEMA__LABEL, SCHEMA__NAME, SCHEMA__OWNER, SCHEMA__PRIVILEGES, SCHEMA__ROUTINES, SCHEMA__SEQUENCES, SCHEMA__TABLES, SCHEMA__TRIGGERS, SCHEMA__USER_DEFINED_TYPES, SCHEMA_FEATURE_COUNT, SEQUENCE, SEQUENCE__COMMENTS, SEQUENCE__CONTAINED_TYPE, SEQUENCE__DEPENDENCIES, SEQUENCE__DESCRIPTION, SEQUENCE__EANNOTATIONS, SEQUENCE__IDENTITY, SEQUENCE__LABEL, SEQUENCE__NAME, SEQUENCE__PRIVILEGES, SEQUENCE__REFERENCED_TYPE, SEQUENCE__SCHEMA, SEQUENCE_FEATURE_COUNT, SQL_OBJECT, SQL_OBJECT__COMMENTS, SQL_OBJECT__DEPENDENCIES, SQL_OBJECT__DESCRIPTION, SQL_OBJECT__EANNOTATIONS, SQL_OBJECT__LABEL, SQL_OBJECT__NAME, SQL_OBJECT__PRIVILEGES, SQL_OBJECT_FEATURE_COUNT, TYPED_ELEMENT, TYPED_ELEMENT__COMMENTS, TYPED_ELEMENT__CONTAINED_TYPE, TYPED_ELEMENT__DEPENDENCIES, TYPED_ELEMENT__DESCRIPTION, TYPED_ELEMENT__EANNOTATIONS, TYPED_ELEMENT__LABEL, TYPED_ELEMENT__NAME, TYPED_ELEMENT__PRIVILEGES, TYPED_ELEMENT__REFERENCED_TYPE, TYPED_ELEMENT_FEATURE_COUNT`

Method Summary
`void` `createPackageContents()` Creates the meta-model objects for the package.
`EReference` `getCatalog_Database()`
`EReference` `getCatalog_Schemas()`
`EClass` `getCatalog()`
`EAttribute` `getComment_Description()`
`EReference` `getComment_SQLObject()`
`EClass` `getComment()`
`EReference` `getDatabase_AuthorizationIds()`
`EReference` `getDatabase_Catalogs()`
`EReference` `getDatabase_Events()`
`EReference` `getDatabase_Schemas()`
`EAttribute` `getDatabase_Vendor()`
`EAttribute` `getDatabase_Version()`
`EClass` `getDatabase()`
`EDataType` `getDate()`
`EAttribute` `getDependency_DependencyType()`
`EReference` `getDependency_TargetEnd()`
`EClass` `getDependency()`
`EAttribute` `getEvent_Action()`
`EAttribute` `getEvent_Condition()`
`EReference` `getEvent_Database()`
`EAttribute` `getEvent_Enabled()`
`EAttribute` `getEvent_For()`
`EClass` `getEvent()`
`EEnum` `getGenerateType()`
`EAttribute` `getIdentitySpecifier_CycleOption()`
`EAttribute` `getIdentitySpecifier_GenerationType()`
`EAttribute` `getIdentitySpecifier_Increment()`
`EAttribute` `getIdentitySpecifier_Maximum()`
`EAttribute` `getIdentitySpecifier_Minimum()`
`EAttribute` `getIdentitySpecifier_StartValue()`
`EClass` `getIdentitySpecifier()`
`EDataType` `getList()`
`EEnum` `getReferentialActionType()`
`EReference` `getSchema_Assertions()`
`EReference` `getSchema_Catalog()`
`EReference` `getSchema_CharSets()`
`EReference` `getSchema_Database()`
`EReference` `getSchema_Indices()`
`EReference` `getSchema_Owner()`
`EReference` `getSchema_Routines()`
`EReference` `getSchema_Sequences()`
`EReference` `getSchema_Tables()`
`EReference` `getSchema_Triggers()`
`EReference` `getSchema_UserDefinedTypes()`
`EClass` `getSchema()`
`EReference` `getSequence_Identity()`
`EReference` `getSequence_Schema()`
`EClass` `getSequence()`
`EReference` `getSQLObject_Comments()`
`EReference` `getSQLObject_Dependencies()`
`EAttribute` `getSQLObject_Description()`
`EAttribute` `getSQLObject_Label()`
`EReference` `getSQLObject_Privileges()`
`EClass` `getSQLObject()`
`SQLSchemaFactory` `getSQLSchemaFactory()`
`EReference` `getTypedElement_ContainedType()`
`EReference` `getTypedElement_ReferencedType()`
`EClass` `getTypedElement()`
`static SQLSchemaPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### init

    public static SQLSchemaPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `SQLSchemaPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getIdentitySpecifier

    public EClass getIdentitySpecifier()

  Specified by:
    `getIdentitySpecifier` in interface `SQLSchemaPackage`
  Returns:
    the meta object for class 'Identity Specifier'.
  See Also:
    `IdentitySpecifier`

### getIdentitySpecifier_GenerationType

    public EAttribute getIdentitySpecifier_GenerationType()

  Specified by:
    `getIdentitySpecifier_GenerationType` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the attribute 'Generation Type'.
  See Also:
    `IdentitySpecifier.getGenerationType()`, `SQLSchemaPackage.getIdentitySpecifier()`

### getIdentitySpecifier_StartValue

    public EAttribute getIdentitySpecifier_StartValue()

  Specified by:
    `getIdentitySpecifier_StartValue` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the attribute 'Start Value'.
  See Also:
    `IdentitySpecifier.getStartValue()`, `SQLSchemaPackage.getIdentitySpecifier()`

### getIdentitySpecifier_Increment

    public EAttribute getIdentitySpecifier_Increment()

  Specified by:
    `getIdentitySpecifier_Increment` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the attribute 'Increment'.
  See Also:
    `IdentitySpecifier.getIncrement()`, `SQLSchemaPackage.getIdentitySpecifier()`

### getIdentitySpecifier_Minimum

    public EAttribute getIdentitySpecifier_Minimum()

  Specified by:
    `getIdentitySpecifier_Minimum` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the attribute 'Minimum'.
  See Also:
    `IdentitySpecifier.getMinimum()`, `SQLSchemaPackage.getIdentitySpecifier()`

### getIdentitySpecifier_Maximum

    public EAttribute getIdentitySpecifier_Maximum()

  Specified by:
    `getIdentitySpecifier_Maximum` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the attribute 'Maximum'.
  See Also:
    `IdentitySpecifier.getMaximum()`, `SQLSchemaPackage.getIdentitySpecifier()`

### getIdentitySpecifier_CycleOption

    public EAttribute getIdentitySpecifier_CycleOption()

  Specified by:
    `getIdentitySpecifier_CycleOption` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the attribute 'Cycle Option'.
  See Also:
    `IdentitySpecifier.isCycleOption()`, `SQLSchemaPackage.getIdentitySpecifier()`

### getTypedElement

    public EClass getTypedElement()

  Specified by:
    `getTypedElement` in interface `SQLSchemaPackage`
  Returns:
    the meta object for class 'Typed Element'.
  See Also:
    `TypedElement`

### getTypedElement_ContainedType

    public EReference getTypedElement_ContainedType()

  Specified by:
    `getTypedElement_ContainedType` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the containment reference 'Contained Type'.
  See Also:
    `TypedElement.getContainedType()`, `SQLSchemaPackage.getTypedElement()`

### getTypedElement_ReferencedType

    public EReference getTypedElement_ReferencedType()

  Specified by:
    `getTypedElement_ReferencedType` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the reference 'Referenced Type'.
  See Also:
    `TypedElement.getReferencedType()`, `SQLSchemaPackage.getTypedElement()`

### getDependency

    public EClass getDependency()

  Specified by:
    `getDependency` in interface `SQLSchemaPackage`
  Returns:
    the meta object for class 'Dependency'.
  See Also:
    `Dependency`

### getDependency_TargetEnd

    public EReference getDependency_TargetEnd()

  Specified by:
    `getDependency_TargetEnd` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the reference 'Target End'.
  See Also:
    `Dependency.getTargetEnd()`, `SQLSchemaPackage.getDependency()`

### getDependency_DependencyType

    public EAttribute getDependency_DependencyType()

  Specified by:
    `getDependency_DependencyType` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the attribute 'Dependency Type'.
  See Also:
    `Dependency.getDependencyType()`, `SQLSchemaPackage.getDependency()`

### getSchema

    public EClass getSchema()

  Specified by:
    `getSchema` in interface `SQLSchemaPackage`
  Returns:
    the meta object for class 'Schema'.
  See Also:
    `Schema`

### getSchema_Triggers

    public EReference getSchema_Triggers()

  Specified by:
    `getSchema_Triggers` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the reference list 'Triggers'.
  See Also:
    `Schema.getTriggers()`, `SQLSchemaPackage.getSchema()`

### getSchema_Indices

    public EReference getSchema_Indices()

  Specified by:
    `getSchema_Indices` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the reference list 'Indices'.
  See Also:
    `Schema.getIndices()`, `SQLSchemaPackage.getSchema()`

### getSchema_Tables

    public EReference getSchema_Tables()

  Specified by:
    `getSchema_Tables` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the reference list 'Tables'.
  See Also:
    `Schema.getTables()`, `SQLSchemaPackage.getSchema()`

### getSchema_Sequences

    public EReference getSchema_Sequences()

  Specified by:
    `getSchema_Sequences` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the reference list 'Sequences'.
  See Also:
    `Schema.getSequences()`, `SQLSchemaPackage.getSchema()`

### getSchema_Database

    public EReference getSchema_Database()

  Specified by:
    `getSchema_Database` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the reference 'Database'.
  See Also:
    `Schema.getDatabase()`, `SQLSchemaPackage.getSchema()`

### getSchema_Catalog

    public EReference getSchema_Catalog()

  Specified by:
    `getSchema_Catalog` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the reference 'Catalog'.
  See Also:
    `Schema.getCatalog()`, `SQLSchemaPackage.getSchema()`

### getSchema_Assertions

    public EReference getSchema_Assertions()

  Specified by:
    `getSchema_Assertions` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the reference list 'Assertions'.
  See Also:
    `Schema.getAssertions()`, `SQLSchemaPackage.getSchema()`

### getSchema_UserDefinedTypes

    public EReference getSchema_UserDefinedTypes()

  Specified by:
    `getSchema_UserDefinedTypes` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the reference list 'User Defined Types'.
  See Also:
    `Schema.getUserDefinedTypes()`, `SQLSchemaPackage.getSchema()`

### getSchema_CharSets

    public EReference getSchema_CharSets()

  Specified by:
    `getSchema_CharSets` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the reference list 'Char Sets'.
  See Also:
    `Schema.getCharSets()`, `SQLSchemaPackage.getSchema()`

### getSchema_Routines

    public EReference getSchema_Routines()

  Specified by:
    `getSchema_Routines` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the reference list 'Routines'.
  See Also:
    `Schema.getRoutines()`, `SQLSchemaPackage.getSchema()`

### getSchema_Owner

    public EReference getSchema_Owner()

  Specified by:
    `getSchema_Owner` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the reference 'Owner'.
  See Also:
    `Schema.getOwner()`, `SQLSchemaPackage.getSchema()`

### getSQLObject

    public EClass getSQLObject()

  Specified by:
    `getSQLObject` in interface `SQLSchemaPackage`
  Returns:
    the meta object for class 'SQL Object'.
  See Also:
    `SQLObject`

### getSQLObject_Dependencies

    public EReference getSQLObject_Dependencies()

  Specified by:
    `getSQLObject_Dependencies` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the containment reference list 'Dependencies'.
  See Also:
    `SQLObject.getDependencies()`, `SQLSchemaPackage.getSQLObject()`

### getSQLObject_Description

    public EAttribute getSQLObject_Description()

  Specified by:
    `getSQLObject_Description` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the attribute 'Description'.
  See Also:
    `SQLObject.getDescription()`, `SQLSchemaPackage.getSQLObject()`

### getSQLObject_Label

    public EAttribute getSQLObject_Label()

  Specified by:
    `getSQLObject_Label` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the attribute 'Label'.
  See Also:
    `SQLObject.getLabel()`, `SQLSchemaPackage.getSQLObject()`

### getSQLObject_Comments

    public EReference getSQLObject_Comments()

  Specified by:
    `getSQLObject_Comments` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the reference list 'Comments'.
  See Also:
    `SQLObject.getComments()`, `SQLSchemaPackage.getSQLObject()`

### getSQLObject_Privileges

    public EReference getSQLObject_Privileges()

  Specified by:
    `getSQLObject_Privileges` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the reference list 'Privileges'.
  See Also:
    `SQLObject.getPrivileges()`, `SQLSchemaPackage.getSQLObject()`

### getSequence

    public EClass getSequence()

  Specified by:
    `getSequence` in interface `SQLSchemaPackage`
  Returns:
    the meta object for class 'Sequence'.
  See Also:
    `Sequence`

### getSequence_Identity

    public EReference getSequence_Identity()

  Specified by:
    `getSequence_Identity` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the containment reference 'Identity'.
  See Also:
    `Sequence.getIdentity()`, `SQLSchemaPackage.getSequence()`

### getSequence_Schema

    public EReference getSequence_Schema()

  Specified by:
    `getSequence_Schema` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the reference 'Schema'.
  See Also:
    `Sequence.getSchema()`, `SQLSchemaPackage.getSequence()`

### getDatabase

    public EClass getDatabase()

  Specified by:
    `getDatabase` in interface `SQLSchemaPackage`
  Returns:
    the meta object for class 'Database'.
  See Also:
    `Database`

### getDatabase_Vendor

    public EAttribute getDatabase_Vendor()

  Specified by:
    `getDatabase_Vendor` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the attribute 'Vendor'.
  See Also:
    `Database.getVendor()`, `SQLSchemaPackage.getDatabase()`

### getDatabase_Version

    public EAttribute getDatabase_Version()

  Specified by:
    `getDatabase_Version` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the attribute 'Version'.
  See Also:
    `Database.getVersion()`, `SQLSchemaPackage.getDatabase()`

### getDatabase_Schemas

    public EReference getDatabase_Schemas()

  Specified by:
    `getDatabase_Schemas` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the reference list 'Schemas'.
  See Also:
    `Database.getSchemas()`, `SQLSchemaPackage.getDatabase()`

### getDatabase_Events

    public EReference getDatabase_Events()

  Specified by:
    `getDatabase_Events` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the reference list 'Events'.
  See Also:
    `Database.getEvents()`, `SQLSchemaPackage.getDatabase()`

### getDatabase_Catalogs

    public EReference getDatabase_Catalogs()

  Specified by:
    `getDatabase_Catalogs` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the reference list 'Catalogs'.
  See Also:
    `Database.getCatalogs()`, `SQLSchemaPackage.getDatabase()`

### getDatabase_AuthorizationIds

    public EReference getDatabase_AuthorizationIds()

  Specified by:
    `getDatabase_AuthorizationIds` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the reference list 'Authorization Ids'.
  See Also:
    `Database.getAuthorizationIds()`, `SQLSchemaPackage.getDatabase()`

### getEvent

    public EClass getEvent()

  Specified by:
    `getEvent` in interface `SQLSchemaPackage`
  Returns:
    the meta object for class 'Event'.
  See Also:
    `Event`

### getEvent_For

    public EAttribute getEvent_For()

  Specified by:
    `getEvent_For` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the attribute 'For'.
  See Also:
    `Event.getFor()`, `SQLSchemaPackage.getEvent()`

### getEvent_Condition

    public EAttribute getEvent_Condition()

  Specified by:
    `getEvent_Condition` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the attribute 'Condition'.
  See Also:
    `Event.getCondition()`, `SQLSchemaPackage.getEvent()`

### getEvent_Action

    public EAttribute getEvent_Action()

  Specified by:
    `getEvent_Action` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the attribute 'Action'.
  See Also:
    `Event.getAction()`, `SQLSchemaPackage.getEvent()`

### getEvent_Enabled

    public EAttribute getEvent_Enabled()

  Specified by:
    `getEvent_Enabled` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the attribute 'Enabled'.
  See Also:
    `Event.isEnabled()`, `SQLSchemaPackage.getEvent()`

### getEvent_Database

    public EReference getEvent_Database()

  Specified by:
    `getEvent_Database` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the reference 'Database'.
  See Also:
    `Event.getDatabase()`, `SQLSchemaPackage.getEvent()`

### getComment

    public EClass getComment()

  Specified by:
    `getComment` in interface `SQLSchemaPackage`
  Returns:
    the meta object for class 'Comment'.
  See Also:
    `Comment`

### getComment_Description

    public EAttribute getComment_Description()

  Specified by:
    `getComment_Description` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the attribute 'Description'.
  See Also:
    `Comment.getDescription()`, `SQLSchemaPackage.getComment()`

### getComment_SQLObject

    public EReference getComment_SQLObject()

  Specified by:
    `getComment_SQLObject` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the reference 'SQL Object'.
  See Also:
    `Comment.getSQLObject()`, `SQLSchemaPackage.getComment()`

### getCatalog

    public EClass getCatalog()

  Specified by:
    `getCatalog` in interface `SQLSchemaPackage`
  Returns:
    the meta object for class 'Catalog'.
  See Also:
    `Catalog`

### getCatalog_Database

    public EReference getCatalog_Database()

  Specified by:
    `getCatalog_Database` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the reference 'Database'.
  See Also:
    `Catalog.getDatabase()`, `SQLSchemaPackage.getCatalog()`

### getCatalog_Schemas

    public EReference getCatalog_Schemas()

  Specified by:
    `getCatalog_Schemas` in interface `SQLSchemaPackage`
  Returns:
    the meta object for the reference list 'Schemas'.
  See Also:
    `Catalog.getSchemas()`, `SQLSchemaPackage.getCatalog()`

### getGenerateType

    public EEnum getGenerateType()

  Specified by:
    `getGenerateType` in interface `SQLSchemaPackage`
  Returns:
    the meta object for enum 'Generate Type'.
  See Also:
    `GenerateType`

### getReferentialActionType

    public EEnum getReferentialActionType()

  Specified by:
    `getReferentialActionType` in interface `SQLSchemaPackage`
  Returns:
    the meta object for enum 'Referential Action Type'.
  See Also:
    `ReferentialActionType`

### getDate

    public EDataType getDate()

  Specified by:
    `getDate` in interface `SQLSchemaPackage`
  Returns:
    the meta object for data type 'Date'.
  See Also:
    `Date`

### getList

    public EDataType getList()

  Specified by:
    `getList` in interface `SQLSchemaPackage`
  Returns:
    the meta object for data type 'List'.
  See Also:
    `List`

### getSQLSchemaFactory

    public SQLSchemaFactory getSQLSchemaFactory()

  Specified by:
    `getSQLSchemaFactory` in interface `SQLSchemaPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.